## as-version as-version — Preprocessor macros for the libappstream-glib version |

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AS_CHECK_VERSION()

## Types and Values

#define | AS_MAJOR_VERSION
#define | AS_MINOR_VERSION
#define | AS_MICRO_VERSION

## Includes

    #include <appstream-glib.h>

## Description

These functions are used in client code to conditionalize compilation depending on the version of libappstream-glib headers installed.

## Functions

### AS_CHECK_VERSION()

    #define             AS_CHECK_VERSION(major,minor,micro)

## Types and Values

### AS_MAJOR_VERSION

    #define AS_MAJOR_VERSION				(0)

### AS_MINOR_VERSION

    #define AS_MINOR_VERSION				(5)

### AS_MICRO_VERSION

    #define AS_MICRO_VERSION				(18)